EAPI="2"

inherit eutils flag-o-matic multilib

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="git://opendungeons.git.sourceforge.net/gitroot/opendungeons/opendungeons"
	EGIT_BRANCH="development"
	inherit git autotools
	SRC_URI=""
	KEYWORDS="-* amd64 x86"
else
	AUTOTOOLS_AUTO_DEPEND="no"
	inherit autotools
	SRC_URI=""
	KEYWORDS="-* amd64 x86"
fi

DESCRIPTION="OpenDungeons is an open source, real time strategy game based on the Dungeon Keeper series of games. Players build an underground dungeon which is inhabited by creatures. Players fight each other for control of the underground by indirectly commanding their creatures, directly casting spells in combat, and luring enemies into sinister traps. "
HOMEPAGE="http://opendungeons.sourceforge.net/index.php/Main_Page"
SRC_URI=""

LICENSE="GPL-3"
SLOT="0"
IUSE=""

RDEPEND="
	media-libs/libsfml
	>=dev-games/ogre-1.7.3[cg]
	dev-games/cegui[ogre]
	media-libs/openal
	dev-games/ois
	games-strategy/OpenDungeons-data
	"

DEPEND="${RDEPEND}
	dev-vcs/git
	dev-vcs/subversion
	dev-util/cmake
	"

src_unpack() {
	if [[ ${PV} == "9999" ]] ; then
		git_src_unpack
	else
		unpack ${PN}.tar.bz2
	fi
}

src_configure() {
	cmake ${WORKDIR}/${P}  || die
}

src_compile() {
	emake -C ${WORKDIR}/${P}  || die
}

src_install() {
	mkdir -p ${D}/usr/games/bin
	echo '#!/bin/sh' > ${WORKDIR}/${P}/OpenDungeons
	echo 'OPENDUNGEONS_DATA_PATH=/usr/share/games/OpenDungeons/ /usr/share/games/OpenDungeons/OpenDungeons.bin "$@"' >> ${WORKDIR}/${P}/OpenDungeons
	cp ${WORKDIR}/${P}/OpenDungeons ${D}/usr/games/bin/
	chmod 750 ${D}/usr/games/bin/OpenDungeons
	chown root:games ${D}/usr/games/bin/OpenDungeons

	mkdir -p ${D}/usr/share/games/OpenDungeons/
	cp ${WORKDIR}/${P}/OpenDungeons.bin ${D}/usr/share/games/OpenDungeons/
	cp ${WORKDIR}/${P}/plugin* ${D}/usr/share/games/OpenDungeons/
	cp ${WORKDIR}/${P}/resources* ${D}/usr/share/games/OpenDungeons/
	cp -r ${WORKDIR}/${P}/levels_git ${D}/usr/share/games/OpenDungeons/
	chmod -R o-r ${D}/usr/share/games/OpenDungeons
	chown -R root:games ${D}/usr/share/games/OpenDungeons
}
